﻿/**Begin D:\PDM\PDM\pdm1\TCTSA_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_RPT_ARG')
 CREATE TABLE T_TCTSA_RPT_ARG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARGNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARGDEFAULT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FARGMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FARGDEBUG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FARGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FARGUNIQUE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_RPT_CELL')
 CREATE TABLE T_TCTSA_RPT_CELL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCELLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCELLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLNO VARCHAR(200) DEFAULT ' ' NOT NULL,
FCELLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCELLHW BIGINT DEFAULT 0 NOT NULL,
FCELLLW BIGINT DEFAULT 0 NOT NULL,
FCELLJCZLLW BIGINT DEFAULT 0 NOT NULL,
FCELLBREF NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLBY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLARGNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCELLARGJSON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_RPT_DATA')
 CREATE TABLE T_TCTSA_RPT_DATA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBTYPE BIGINT DEFAULT 0 NOT NULL,
FSBBTWOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPLUGINTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_RPT_DATA_L')
 CREATE TABLE T_TCTSA_RPT_DATA_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_RPT_VALUE')
 CREATE TABLE T_TCTSA_RPT_VALUE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDNO VARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUEFORMULA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVALUEDEFAULTFORMULA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUEARGNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FVALUEARGJSON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_ITEM_AREA')
 CREATE TABLE T_TCTSA_ITEM_AREA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTAXAREAGROUP BIGINT DEFAULT 0 NOT NULL,
FFETCHITEM BIGINT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTSA_ITEM_AREA_L')
 CREATE TABLE T_TCTSA_ITEM_AREA_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);





/**End D:\PDM\PDM\pdm1\TCTSA_table.sql **/
